Summary:	2D Quantum Monte Carlo simulator for semiconductor devices
Name:		archimedes
Version:	1.2.0
Release:	1
License:	GPLv3+
Group:		Applications/Engineering
URL:		http://www.gnu.org/software/archimedes/
Source0:	ftp://ftp.gnu.org/gnu/archimedes/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/gnu/archimedes/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	dos2unix

%description
Archimedes is a package for the design and simulation of submicron
semiconductor devices. It is a 2D Fast Monte Carlo simulator which can take
into account all the relevant quantum effects, thank to the implementation of
the Bohm effective potential method.

The physics and geometry of a general device is introduced by typing a simple
script, which makes, in this sense, Archimedes a powerful tool for the
simulation of quite general semiconductor devices.


%prep
%setup -q
%patch0

# suppress rpmlint error
dos2unix COPYING


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/%{name}
/usr/bin/%{name}


%changelog
* Thu Sep 08 2011 Michael Perzl <michael@perzl.org> - 1.2.0-1
- first version for AIX V5.1 and higher
